﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class Clock : MonoBehaviour {

	int nextUpdate;
	Text text;

	int iHours;
	int iDays;
	int iWeeks;
	int iMonths;
	int iYears;

	public bool bStop;
	public bool Show;


	// Use this for initialization
	void Start () {

		if (Show)
		{
			nextUpdate = 1;
			text = GetComponent<Text>();

			int iHours = 0;
			int iDays = 0;
			int iWeeks = 0;
			int iMonths = 0;
			int iYears = 0;

			bStop = false;
		}
		else bStop = true;
	}
	
	// Update is called once per frame
	void Update () {
		// If the next update is reached
		if(Time.time>=nextUpdate){
			// Change the next update (current second+1)
			nextUpdate=Mathf.FloorToInt(Time.time)+1;
			// Call your fonction
			UpdateEverySecond();
		}
	}

	void UpdateEverySecond()
	{
		if (bStop) return;

		iHours++;
		if (iHours >= 24) {
			iHours = 0;
			iDays++;
		}
		if (iDays >= 7) {
			iDays = 0;
			iWeeks++;
		}
		if (iWeeks >= 4) {
			iWeeks = 0;
			iMonths++;
		}
		if (iMonths >= 12) {
			iMonths = 0;
			iYears++;
		}

		string Timetext = "";
		if (iYears > 0) {
			Timetext += iYears.ToString() + " years, ";
		}
		if (iMonths > 0) {
			Timetext += iMonths.ToString() + " months, ";
		}
		if (iWeeks > 0) {
			Timetext += iWeeks.ToString() + " weeks, ";
		}
		if (iDays > 0) {
			Timetext += iDays.ToString() + " days, ";
		}
		if (iHours > 0) {
			Timetext += iHours.ToString() + " hours";
		}

		text.text = Timetext;
	}
}
